@echo off

:update
rem Tuxedo HWID
set HWID1=048F
rem Beretta HWID
set HWID2=0492
rem Tuxedo2 HWID
set HWID3=051F
rem Beretta2 HWID
set HWID4=0522

set BIOSREV=3023
set BBLKREV=3022

if exist check.exe goto IDCHECK
@echo Invalid update program
goto END

:IDCHECK
check /r=%HWID1% /i=MIDT.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT
check /r=%HWID2% /i=MIDB.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT2
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT2
check /r=%HWID3% /i=MIDT2.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT3
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT3
check /r=%HWID4% /i=MIDB2.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END


:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:UPDTERR
@echo BIOS upadte tool Unmatched !!
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH
if %OLD%==0006 goto UPDTERR
if %OLD%==1009 goto UPDTERR
if %OLD%==1011 goto UPDTERR

:BIOSUP
@echo.
@echo The update process will take approximately 4 to 5 minutes.
@echo DO NOT power off the system during this update process.
@echo.
@echo If the machine is being operated remotely (Console Less models),
@echo the screen may appear not to be updated during the update process.
@echo But this is no problem.
@echo When the BIOS update is completed, the screen is restarted to update.
@echo.
pause
@echo Now reading BIOS update tool ...

:phlashup
phlash16 /mode=3 bios.wph

goto END

:BBFLASH
if %OLD%==0006 goto UPDTERR
if %OLD%==1009 goto UPDTERR
if %OLD%==1011 goto UPDTERR

@echo.
@echo The update process will take approximately 4 to 5 minutes.
@echo DO NOT power off the system during this update process.
@echo.
@echo If the machine is being operated remotely (Console Less models),
@echo the screen may appear not to be updated during the update process.
@echo But this is no problem.
@echo When the BIOS update is completed, the screen is restarted to update.
@echo.
pause
@echo Now reading BIOS update tool(overwrite BootBlock) ...

:bbphlash
phlash16 /BBL /mode=3 bios.wph

goto END


:END
